Qiime - problem with biom package in normalization
3
0
Entering edit mode
6.0 years ago

Hi,

I want to use Qiime DESeq2 normalization by command. I need to install "biom" package in R to make it work iut I have this comment:

Warning message: package ‘biom’ is not available (for R version 3.5.0)

What can I do with that? It's the newest R version.

R qiime biom • 3.0k views
ADD COMMENT
1
Entering edit mode
6.0 years ago

biom package is not supported now. You can download it from here and install it manually using install.packages() cmd in R.

ADD COMMENT
0
Entering edit mode

How to do that ?

I typed:

install.packages(biom_0.3.8.tar.gz) Error in install.packages(biom_0.3.8.tar.gz) : object 'biom_0.3.8.tar.gz' not found

ADD REPLY
0
Entering edit mode
5.0 years ago
Leonardo ▴ 30

I've just got into this issue while installing Tax4Fun and that's how I fixed (R 3.5.3):

Went to the development page on GitHub: https://github.com/joey711/biom Then "made available through Cran" and there "archive". Downloaded the latest version (biom 0.3.12.tar.gz)

Installing:

install.packages("path_to_the_file/biom_0.3.12.tar.gz", repos = NULL, type = "source", dependencies = T) 
#in RStudio Tools->InstallPackages->InstallFromPackageArchive

It still complained about not having the dependency RJSONIO available. Then:

install.packages("RJSONIO")

Then again install.packages("path_to_the_file/biom_0.3.12.tar.gz", repos = NULL, type = "source", dependencies = T) and it worked.

Cheers for future users =)

ADD COMMENT

Login before adding your answer.

Traffic: 3275 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6